ExtUtils::XSpp::Node::Constructor(3pm)

NAME
ExtUtils::XSpp::Node::Constructor - Node representing a constructor method

DESCRIPTION
An ExtUtils::XSpp::Node::Method subclass representing a constructor such as:

  class FooBar {
    FooBar(); // <-- this one
  };

METHODS

  new
Creates a new "ExtUtils::XSpp::Node::Constructor".

Most of the functionality of this class is inherited. This means that all named parameters of ExtUtils::XSpp::Node::Method and its base class are also valid for this class' constructor.

Additionally, this class requires that no return type has been specified as constructors do not have return types.

  ret_type
Unlike the "ret_type" method of the ExtUtils::XSpp::Node::Method class, "ret_type" will return the type "pointer to object of this class" as return type of the constructor.